[Forgot Password]
Login  Register Subscribe

24128

 
 

131615

 
 

112965

 
 

909

 
 

88036

 
 

136

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML view JSON

CVE-2012-2311Date: (C)2012-05-11   (M)2018-08-10


sapi/cgi/cgi_main.c in PHP before 5.3.13 and 5.4.x before 5.4.3, when configured as a CGI script (aka php-cgi), does not properly handle query strings that contain a %3D sequence but no = (equals sign) character, which allows remote attackers to execute arbitrary code by placing command-line options in the query string, related to lack of skipping a certain php_getopt for the 'd' case. NOTE: this vulnerability exists because of an incomplete fix for CVE-2012-1823.

CVSS Score and Metrics +CVSS Score and Metrics -

CVSS V2 Severity:
CVSS Score : 7.5
Exploit Score: 10.0
Impact Score: 6.4
 
CVSS V2 Metrics:
Access Vector: NETWORK
Access Complexity: LOW
Authentication: NONE
Confidentiality: PARTIAL
Integrity: PARTIAL
Availability: PARTIAL
  
Reference:
SECTRACK-1027022
SECUNIA-49014
SECUNIA-49085
APPLE-SA-2012-09-19-2
DSA-2465
HPSBMU02900
HPSBUX02791
IAVM:2012-A-0152
IAVM:2013-B-0075
SSRT100856
SSRT100992
SUSE-SU-2012:0598
SUSE-SU-2012:0604
VU#520827
http://eindbazen.net/2012/05/php-cgi-advisory-cve-2012-1823/
http://support.apple.com/kb/HT5501
http://www.php.net/ChangeLog-5.php#5.4.3
http://www.php.net/archive/2012.php#id2012-05-08-1
https://bugs.php.net/bug.php?id=61910
https://bugs.php.net/patch-display.php?bug_id=61910&patch=cgi.diff-fix-check.patch&revision=1336093719&display=1
openSUSE-SU-2012:0590

CPE    117
cpe:/a:php:php:3.0
cpe:/a:php:php:5.0.0:rc3
cpe:/a:php:php:5.0.0:rc2
cpe:/a:php:php:5.0.0:rc1
...
CWE    1
CWE-89
OVAL    21
oval:org.secpod.oval:def:600798
oval:org.secpod.oval:def:400384
oval:org.secpod.oval:def:105375
oval:org.secpod.oval:def:104797
...

© SecPod Technologies